# Public Key Credential Source module

## Overview

This module provides a public key credential source entity type for use in
Webauthn flows.

It assumes the use of web-auth/webuauthn-lib, and it wraps the library's
PublicKeyCredentialSource class in a JSON field.

## Dependencies

This module stores the PublicKeyCredentialSource object as JSON using a
JSON field provided by the [JSON Field module](https://www.drupal.org/project/json_field).

The user agent string is parsed using the
[Universal Device Detection module](https://www.drupal.org/project/universal_device_detection).

## Credits

The original code was formed from the [Webauthn module](https://www.drupal.org/project/webauthn).
